openSUSE Security Update: Security update for opera
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0296-1
Rating:             important
References:         #1181827 
Cross-References:   CVE-2021-21148
Affected Products:
                    openSUSE Leap 15.2:NonFree
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for opera fixes the following issues:

   - Update to version 74.0.3911.107
     - CHR-8311 Update chromium on desktop-stable-88-3911 to 88.0.4324.150
     - DNA-90329 Implement client_capabilities negotiation for Flow / Sync
     - DNA-90560 [Search Tabs] Open Tabs On Top
     - DNA-90620 Add opauto tests for tab snoozing
     - DNA-90628 Update opauto tests after design changes
     - DNA-90818 Only 3 recently closed tabs are shown in a search mode
     - DNA-90911 Enable search-tabs-open-tabs-on-top on developer
     - DNA-90990 Crash at opera::AddressBarView::NotifyBoundsChanged()
     - DNA-90991 Opera doesn???t show version and ???Relaunch??? button
       despite update is ready
     - DNA-91097 Crash at extensions::BrowserSidebarPrivateGetPremium
       ExtensionsInfoFunction::Run()
     - DNA-91163 [Win] ???URL navigation filters??? subpage doesn???t react
       on actions
     - DNA-91196 [Flow] Device capabilities is not properly saved in Local
       State
     - DNA-91276 Sidebar setup wont open
   - The update to chromium 88.0.4324.150 fixes following issues:
     - CVE-2021-21148 (1181827)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:NonFree:

      zypper in -t patch openSUSE-2021-296=1



Package List:

   - openSUSE Leap 15.2:NonFree (x86_64):

      opera-74.0.3911.107-lp152.2.34.1


References:

   https://www.suse.com/security/cve/CVE-2021-21148.html
   https://bugzilla.suse.com/1181827